//programma base sviluppato per 16F877A
// chiudere i canali del DIP SW1 da 5 a 8
// aprire i canali del DIP SW1 da 1 a 4
// collegare con cavo flat a 4 conduttori lo streap SW19 con SW22

// gli ingressi del decoder CD4511 corrispondono a:
// A -> RC0
// B -> RC1
// C -> RC2
// D -> RC3


#define A  RC0 // -> pin 15
#define B  RC1 // -> pin 16
#define C  RC2 // -> pin 17
#define D  RC3 // -> pin 18

#define digit4 RB0 //pin 33 (LSB) cifra piu a destra
#define digit1 RB1 //pin 34
#define digit2 RB2 //pin 35
#define digit3 RB3 //pin 36 (MSB) cifra piu a sinistra

//pulsanti normal=1, pressed=0
//usare pull-up da 10Kohm
//SV2 con jumper allineati a destra
//il PORTA viene commutato in ingresso

#define P1	RA0 //comanda scrittura (1) su digit 1
#define P2	RA1 //comanda scrittura (2) su digit 2
#define P3	RA2 //comanda scrittura (3) su digit 3
#define P4	RA3 //comanda scrittura (4) su digit 4
	
char disp1=1; //usate nella funzione scriviBUS nel modulo writeBUS
char disp2=2;
char disp3=3;
char disp4=4;

void settings(void){
	TRISA=0xFF;
	TRISB=0;
	TRISC=0;
	TRISD=0;
	TRISE=0;
}